﻿//------------------------------------------------------------------------------
// <auto-generated>
//    Ce code a été généré à partir d'un modèle.
//
//    Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//    Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PROJETMODELE.Models.DAL
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Objects;
    using System.Data.Objects.DataClasses;
    using System.Linq;
    
    public partial class StoreEntities : DbContext
    {
        public StoreEntities()
            : base("name=StoreEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public DbSet<TG_Commandes> TG_Commandes { get; set; }
        public DbSet<TG_Corbeille> TG_Corbeille { get; set; }
        public DbSet<TG_Droits> TG_Droits { get; set; }
        public DbSet<TG_Hierarchie_Commande> TG_Hierarchie_Commande { get; set; }
        public DbSet<TG_Locked_Records> TG_Locked_Records { get; set; }
        public DbSet<TG_Logs> TG_Logs { get; set; }
        public DbSet<TG_Personnels> TG_Personnels { get; set; }
        public DbSet<TG_Profiles> TG_Profiles { get; set; }
        public DbSet<TG_Profiles_Utilisateurs> TG_Profiles_Utilisateurs { get; set; }
        public DbSet<TG_Sentinelles> TG_Sentinelles { get; set; }
        public DbSet<TG_Sentinelles_Options> TG_Sentinelles_Options { get; set; }
        public DbSet<TG_Utilisateurs> TG_Utilisateurs { get; set; }
        public DbSet<TG_Variable> TG_Variable { get; set; }
        public DbSet<TP_Caisse> TP_Caisse { get; set; }
        public DbSet<TP_Client> TP_Client { get; set; }
        public DbSet<TP_Commande> TP_Commande { get; set; }
        public DbSet<TP_Commande_Emballage> TP_Commande_Emballage { get; set; }
        public DbSet<TP_Commande_Emballage_Temp> TP_Commande_Emballage_Temp { get; set; }
        public DbSet<TP_Commande_Liquide> TP_Commande_Liquide { get; set; }
        public DbSet<TP_Commande_Liquide_Temp> TP_Commande_Liquide_Temp { get; set; }
        public DbSet<TP_Decaissement> TP_Decaissement { get; set; }
        public DbSet<TP_Emballage> TP_Emballage { get; set; }
        public DbSet<TP_Encaissement> TP_Encaissement { get; set; }
        public DbSet<TP_Famille> TP_Famille { get; set; }
        public DbSet<TP_Fournisseur> TP_Fournisseur { get; set; }
        public DbSet<TP_Inventaire> TP_Inventaire { get; set; }
        public DbSet<TP_Inventaire_Detail> TP_Inventaire_Detail { get; set; }
        public DbSet<TP_Ouverture_Cloture_Caisse> TP_Ouverture_Cloture_Caisse { get; set; }
        public DbSet<TP_Produit> TP_Produit { get; set; }
        public DbSet<TP_Regulation_Solde> TP_Regulation_Solde { get; set; }
        public DbSet<TP_Regulation_Stock> TP_Regulation_Stock { get; set; }
        public DbSet<TP_Retour_Emballage> TP_Retour_Emballage { get; set; }
        public DbSet<TP_Retour_Emballage_Detail> TP_Retour_Emballage_Detail { get; set; }
        public DbSet<TP_Retour_Emballage_Temp> TP_Retour_Emballage_Temp { get; set; }
        public DbSet<TP_Ristourne_Client> TP_Ristourne_Client { get; set; }
        public DbSet<TP_Type_Depense> TP_Type_Depense { get; set; }
        public DbSet<TP_Vente> TP_Vente { get; set; }
        public DbSet<TP_Vente_Emballage> TP_Vente_Emballage { get; set; }
        public DbSet<TP_Vente_Emballage_Temp> TP_Vente_Emballage_Temp { get; set; }
        public DbSet<TP_Vente_Liquide> TP_Vente_Liquide { get; set; }
        public DbSet<TP_Vente_Liquide_Temp> TP_Vente_Liquide_Temp { get; set; }
        public DbSet<Vue_Personnel> Vue_Personnel { get; set; }
    
        [EdmFunction("StoreEntities", "FN_Chiffre_Affaire_Client")]
        public virtual IQueryable<FN_Chiffre_Affaire_Client_Result> FN_Chiffre_Affaire_Client(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Chiffre_Affaire_Client_Result>("[StoreEntities].[FN_Chiffre_Affaire_Client](@Date_Debut, @Date_Fin)", date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Chiffre_Affaire_Famille")]
        public virtual IQueryable<FN_Chiffre_Affaire_Famille_Result> FN_Chiffre_Affaire_Famille(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin, Nullable<int> type)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Chiffre_Affaire_Famille_Result>("[StoreEntities].[FN_Chiffre_Affaire_Famille](@Date_Debut, @Date_Fin, @Type)", date_DebutParameter, date_FinParameter, typeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Chiffre_Affaire_Fournisseur")]
        public virtual IQueryable<FN_Chiffre_Affaire_Fournisseur_Result> FN_Chiffre_Affaire_Fournisseur(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Chiffre_Affaire_Fournisseur_Result>("[StoreEntities].[FN_Chiffre_Affaire_Fournisseur](@Date_Debut, @Date_Fin)", date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Chiffre_Affaire_Produit")]
        public virtual IQueryable<FN_Chiffre_Affaire_Produit_Result> FN_Chiffre_Affaire_Produit(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin, Nullable<int> type)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Chiffre_Affaire_Produit_Result>("[StoreEntities].[FN_Chiffre_Affaire_Produit](@Date_Debut, @Date_Fin, @Type)", date_DebutParameter, date_FinParameter, typeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Commande")]
        public virtual IQueryable<FN_Commande_Result> FN_Commande()
        {
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Commande_Result>("[StoreEntities].[FN_Commande]()");
        }
    
        [EdmFunction("StoreEntities", "FN_Enfent_Commande")]
        public virtual IQueryable<FN_Enfent_Commande_Result> FN_Enfent_Commande(Nullable<int> code_Commande)
        {
            var code_CommandeParameter = code_Commande.HasValue ?
                new ObjectParameter("Code_Commande", code_Commande) :
                new ObjectParameter("Code_Commande", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Enfent_Commande_Result>("[StoreEntities].[FN_Enfent_Commande](@Code_Commande)", code_CommandeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Etat_Solde_Caisse")]
        public virtual IQueryable<FN_Etat_Solde_Caisse_Result> FN_Etat_Solde_Caisse(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Etat_Solde_Caisse_Result>("[StoreEntities].[FN_Etat_Solde_Caisse](@Date_Debut, @Date_Fin)", date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Etat_Solde_Client")]
        public virtual IQueryable<FN_Etat_Solde_Client_Result> FN_Etat_Solde_Client(Nullable<int> type, Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Etat_Solde_Client_Result>("[StoreEntities].[FN_Etat_Solde_Client](@Type, @Date_Debut, @Date_Fin)", typeParameter, date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Etat_Solde_Fournisseur")]
        public virtual IQueryable<FN_Etat_Solde_Fournisseur_Result> FN_Etat_Solde_Fournisseur(Nullable<int> type, Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Etat_Solde_Fournisseur_Result>("[StoreEntities].[FN_Etat_Solde_Fournisseur](@Type, @Date_Debut, @Date_Fin)", typeParameter, date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Etat_Solde_Ristourne_Client")]
        public virtual IQueryable<FN_Etat_Solde_Ristourne_Client_Result> FN_Etat_Solde_Ristourne_Client(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Etat_Solde_Ristourne_Client_Result>("[StoreEntities].[FN_Etat_Solde_Ristourne_Client](@Date_Debut, @Date_Fin)", date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Etat_Stock")]
        public virtual IQueryable<FN_Etat_Stock_Result> FN_Etat_Stock(Nullable<int> type, Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Etat_Stock_Result>("[StoreEntities].[FN_Etat_Stock](@Type, @Date_Debut, @Date_Fin)", typeParameter, date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Historique_Solde_Caisse")]
        public virtual IQueryable<FN_Historique_Solde_Caisse_Result> FN_Historique_Solde_Caisse(Nullable<int> iD_Caisse)
        {
            var iD_CaisseParameter = iD_Caisse.HasValue ?
                new ObjectParameter("ID_Caisse", iD_Caisse) :
                new ObjectParameter("ID_Caisse", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Historique_Solde_Caisse_Result>("[StoreEntities].[FN_Historique_Solde_Caisse](@ID_Caisse)", iD_CaisseParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Historique_Solde_Client")]
        public virtual IQueryable<FN_Historique_Solde_Client_Result> FN_Historique_Solde_Client(Nullable<int> iD_Client, Nullable<int> type)
        {
            var iD_ClientParameter = iD_Client.HasValue ?
                new ObjectParameter("ID_Client", iD_Client) :
                new ObjectParameter("ID_Client", typeof(int));
    
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Historique_Solde_Client_Result>("[StoreEntities].[FN_Historique_Solde_Client](@ID_Client, @Type)", iD_ClientParameter, typeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Historique_Solde_Fournisseur")]
        public virtual IQueryable<FN_Historique_Solde_Fournisseur_Result> FN_Historique_Solde_Fournisseur(Nullable<int> iD_Fournisseur, Nullable<int> type)
        {
            var iD_FournisseurParameter = iD_Fournisseur.HasValue ?
                new ObjectParameter("ID_Fournisseur", iD_Fournisseur) :
                new ObjectParameter("ID_Fournisseur", typeof(int));
    
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Historique_Solde_Fournisseur_Result>("[StoreEntities].[FN_Historique_Solde_Fournisseur](@ID_Fournisseur, @Type)", iD_FournisseurParameter, typeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Historique_Solde_Ristourne_Client")]
        public virtual IQueryable<FN_Historique_Solde_Ristourne_Client_Result> FN_Historique_Solde_Ristourne_Client(Nullable<int> iD_Client)
        {
            var iD_ClientParameter = iD_Client.HasValue ?
                new ObjectParameter("ID_Client", iD_Client) :
                new ObjectParameter("ID_Client", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Historique_Solde_Ristourne_Client_Result>("[StoreEntities].[FN_Historique_Solde_Ristourne_Client](@ID_Client)", iD_ClientParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Historique_Stock")]
        public virtual IQueryable<FN_Historique_Stock_Result> FN_Historique_Stock(Nullable<int> iD_Element, Nullable<int> type)
        {
            var iD_ElementParameter = iD_Element.HasValue ?
                new ObjectParameter("ID_Element", iD_Element) :
                new ObjectParameter("ID_Element", typeof(int));
    
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Historique_Stock_Result>("[StoreEntities].[FN_Historique_Stock](@ID_Element, @Type)", iD_ElementParameter, typeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Montant_Commande")]
        public virtual IQueryable<FN_Montant_Commande_Result> FN_Montant_Commande(Nullable<long> iD_Commande)
        {
            var iD_CommandeParameter = iD_Commande.HasValue ?
                new ObjectParameter("ID_Commande", iD_Commande) :
                new ObjectParameter("ID_Commande", typeof(long));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Montant_Commande_Result>("[StoreEntities].[FN_Montant_Commande](@ID_Commande)", iD_CommandeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Montant_Commande_Temp")]
        public virtual IQueryable<FN_Montant_Commande_Temp_Result> FN_Montant_Commande_Temp(Nullable<int> code_User)
        {
            var code_UserParameter = code_User.HasValue ?
                new ObjectParameter("Code_User", code_User) :
                new ObjectParameter("Code_User", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Montant_Commande_Temp_Result>("[StoreEntities].[FN_Montant_Commande_Temp](@Code_User)", code_UserParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Montant_Facture")]
        public virtual IQueryable<FN_Montant_Facture_Result> FN_Montant_Facture(Nullable<long> iD_Vente)
        {
            var iD_VenteParameter = iD_Vente.HasValue ?
                new ObjectParameter("ID_Vente", iD_Vente) :
                new ObjectParameter("ID_Vente", typeof(long));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Montant_Facture_Result>("[StoreEntities].[FN_Montant_Facture](@ID_Vente)", iD_VenteParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Montant_Facture_Temp")]
        public virtual IQueryable<FN_Montant_Facture_Temp_Result> FN_Montant_Facture_Temp(Nullable<int> code_User)
        {
            var code_UserParameter = code_User.HasValue ?
                new ObjectParameter("Code_User", code_User) :
                new ObjectParameter("Code_User", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Montant_Facture_Temp_Result>("[StoreEntities].[FN_Montant_Facture_Temp](@Code_User)", code_UserParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Parent_Commande")]
        public virtual IQueryable<FN_Parent_Commande_Result> FN_Parent_Commande(Nullable<int> code_Commande)
        {
            var code_CommandeParameter = code_Commande.HasValue ?
                new ObjectParameter("Code_Commande", code_Commande) :
                new ObjectParameter("Code_Commande", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Parent_Commande_Result>("[StoreEntities].[FN_Parent_Commande](@Code_Commande)", code_CommandeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Recapitulatif_Commande")]
        public virtual IQueryable<FN_Recapitulatif_Commande_Result> FN_Recapitulatif_Commande(Nullable<int> code_Commande)
        {
            var code_CommandeParameter = code_Commande.HasValue ?
                new ObjectParameter("Code_Commande", code_Commande) :
                new ObjectParameter("Code_Commande", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Recapitulatif_Commande_Result>("[StoreEntities].[FN_Recapitulatif_Commande](@Code_Commande)", code_CommandeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Recapitulatif_Commande_Ensemble")]
        public virtual IQueryable<FN_Recapitulatif_Commande_Ensemble_Result> FN_Recapitulatif_Commande_Ensemble(Nullable<int> code_Commande)
        {
            var code_CommandeParameter = code_Commande.HasValue ?
                new ObjectParameter("Code_Commande", code_Commande) :
                new ObjectParameter("Code_Commande", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Recapitulatif_Commande_Ensemble_Result>("[StoreEntities].[FN_Recapitulatif_Commande_Ensemble](@Code_Commande)", code_CommandeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Retour_Emballage")]
        public virtual IQueryable<FN_Retour_Emballage_Result> FN_Retour_Emballage()
        {
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Retour_Emballage_Result>("[StoreEntities].[FN_Retour_Emballage]()");
        }
    
        [EdmFunction("StoreEntities", "FN_Stat_Client_Fournisseur")]
        public virtual IQueryable<FN_Stat_Client_Fournisseur_Result> FN_Stat_Client_Fournisseur(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin, Nullable<int> type)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Stat_Client_Fournisseur_Result>("[StoreEntities].[FN_Stat_Client_Fournisseur](@Date_Debut, @Date_Fin, @Type)", date_DebutParameter, date_FinParameter, typeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Stat_Commande_Produit")]
        public virtual IQueryable<FN_Stat_Commande_Produit_Result> FN_Stat_Commande_Produit(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin, Nullable<int> type)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Stat_Commande_Produit_Result>("[StoreEntities].[FN_Stat_Commande_Produit](@Date_Debut, @Date_Fin, @Type)", date_DebutParameter, date_FinParameter, typeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Stat_EvolutionCapital")]
        public virtual IQueryable<FN_Stat_EvolutionCapital_Result> FN_Stat_EvolutionCapital()
        {
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Stat_EvolutionCapital_Result>("[StoreEntities].[FN_Stat_EvolutionCapital]()");
        }
    
        [EdmFunction("StoreEntities", "FN_Stat_Mouvement_Stock")]
        public virtual IQueryable<FN_Stat_Mouvement_Stock_Result> FN_Stat_Mouvement_Stock(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Stat_Mouvement_Stock_Result>("[StoreEntities].[FN_Stat_Mouvement_Stock](@Date_Debut, @Date_Fin)", date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Stat_Mouvement_Stock_Emballage")]
        public virtual IQueryable<FN_Stat_Mouvement_Stock_Emballage_Result> FN_Stat_Mouvement_Stock_Emballage(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Stat_Mouvement_Stock_Emballage_Result>("[StoreEntities].[FN_Stat_Mouvement_Stock_Emballage](@Date_Debut, @Date_Fin)", date_DebutParameter, date_FinParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Stat_Vente_Produit")]
        public virtual IQueryable<FN_Stat_Vente_Produit_Result> FN_Stat_Vente_Produit(Nullable<System.DateTime> date_Debut, Nullable<System.DateTime> date_Fin, Nullable<int> type)
        {
            var date_DebutParameter = date_Debut.HasValue ?
                new ObjectParameter("Date_Debut", date_Debut) :
                new ObjectParameter("Date_Debut", typeof(System.DateTime));
    
            var date_FinParameter = date_Fin.HasValue ?
                new ObjectParameter("Date_Fin", date_Fin) :
                new ObjectParameter("Date_Fin", typeof(System.DateTime));
    
            var typeParameter = type.HasValue ?
                new ObjectParameter("Type", type) :
                new ObjectParameter("Type", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Stat_Vente_Produit_Result>("[StoreEntities].[FN_Stat_Vente_Produit](@Date_Debut, @Date_Fin, @Type)", date_DebutParameter, date_FinParameter, typeParameter);
        }
    
        [EdmFunction("StoreEntities", "FN_Vente")]
        public virtual IQueryable<FN_Vente_Result> FN_Vente()
        {
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<FN_Vente_Result>("[StoreEntities].[FN_Vente]()");
        }
    
        public virtual int Affecter_Droit(Nullable<int> code_Commande, Nullable<int> code_Profile, Nullable<int> executer)
        {
            var code_CommandeParameter = code_Commande.HasValue ?
                new ObjectParameter("Code_Commande", code_Commande) :
                new ObjectParameter("Code_Commande", typeof(int));
    
            var code_ProfileParameter = code_Profile.HasValue ?
                new ObjectParameter("Code_Profile", code_Profile) :
                new ObjectParameter("Code_Profile", typeof(int));
    
            var executerParameter = executer.HasValue ?
                new ObjectParameter("Executer", executer) :
                new ObjectParameter("Executer", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("Affecter_Droit", code_CommandeParameter, code_ProfileParameter, executerParameter);
        }
    
        public virtual int DELETE_LOG_DI(Nullable<int> iD_Corbeille)
        {
            var iD_CorbeilleParameter = iD_Corbeille.HasValue ?
                new ObjectParameter("ID_Corbeille", iD_Corbeille) :
                new ObjectParameter("ID_Corbeille", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("DELETE_LOG_DI", iD_CorbeilleParameter);
        }
    
        public virtual int Restorer_Corbeille(Nullable<int> iD_Corbeille)
        {
            var iD_CorbeilleParameter = iD_Corbeille.HasValue ?
                new ObjectParameter("ID_Corbeille", iD_Corbeille) :
                new ObjectParameter("ID_Corbeille", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("Restorer_Corbeille", iD_CorbeilleParameter);
        }
    
        public virtual int Vider_Commande_Emballage_Temp(Nullable<int> code_User)
        {
            var code_UserParameter = code_User.HasValue ?
                new ObjectParameter("Code_User", code_User) :
                new ObjectParameter("Code_User", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("Vider_Commande_Emballage_Temp", code_UserParameter);
        }
    
        public virtual int Vider_Commande_Liquide_Temp(Nullable<int> code_User)
        {
            var code_UserParameter = code_User.HasValue ?
                new ObjectParameter("Code_User", code_User) :
                new ObjectParameter("Code_User", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("Vider_Commande_Liquide_Temp", code_UserParameter);
        }
    
        public virtual int Vider_Encaissement_Emballage_Temp(Nullable<int> code_User)
        {
            var code_UserParameter = code_User.HasValue ?
                new ObjectParameter("Code_User", code_User) :
                new ObjectParameter("Code_User", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("Vider_Encaissement_Emballage_Temp", code_UserParameter);
        }
    
        public virtual int Vider_Retour_Emballage_Temp(Nullable<int> code_User)
        {
            var code_UserParameter = code_User.HasValue ?
                new ObjectParameter("Code_User", code_User) :
                new ObjectParameter("Code_User", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("Vider_Retour_Emballage_Temp", code_UserParameter);
        }
    
        public virtual int Vider_Vente_Emballage_Temp(Nullable<int> code_User)
        {
            var code_UserParameter = code_User.HasValue ?
                new ObjectParameter("Code_User", code_User) :
                new ObjectParameter("Code_User", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("Vider_Vente_Emballage_Temp", code_UserParameter);
        }
    
        public virtual int Vider_Vente_Liquide_Temp(Nullable<int> code_User)
        {
            var code_UserParameter = code_User.HasValue ?
                new ObjectParameter("Code_User", code_User) :
                new ObjectParameter("Code_User", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("Vider_Vente_Liquide_Temp", code_UserParameter);
        }
    }
}
